#include "Salamander.h"
#include "SceneManager.h"

namespace Salamander
{

defineUniqueId(SceneManager);
SceneManager::SceneManager() : IManager(), Node()
{

}

SceneManager::~SceneManager()
{
	
}

// game initialisation and setup
bool SceneManager::startup()
{
	return true;
}

// tidy up after ourselves
bool SceneManager::shutdown()
{
	return true;
}

// called once each frame
void SceneManager::frame()
{
	Node::frame();
}

void SceneManager::assemble()
{

}

}
